package sentio

type Strategy interface {
	Name() string

	Model() string
	MarketId() string
	PositionSymbols() map[Side]string
	PositionProbabilities() map[Side]float32
	Interval() uint8

	Handle(market Market, turn *Turn) error
}
